Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.parsers
Class ClassSelectionParser

    java.lang.Object
      oracle.ifs.beans.parsers.ClassSelectionParser

All Implemented Interfaces:
  Parser

Deprecated. iFS 9.0.3 - cannot delete cause CUP still uses

    public class ClassSelectionParser

extends java.lang.Object
implements Parser

The `ClassSelectionParser.java` class sets the correct classname when creating a Document. Enabling creation of Document subclasses through the parsing framework.

(Unpublished)

Field Summary
`protected FolderPathResolver` | `m_fpr` Deprecated. for path verification
`protected LibrarySession` | `m_session` Deprecated. the session
`static java.lang.String` | `PROPERTY_BUNDLE_NAME` Deprecated.

Fields inherited from interface oracle.ifs.beans.parsers.Parser
`CURRENT_NAME_OPTION, CURRENT_PATH_OPTION, DOCUMENT_CHARSET_OPTION, DOCUMENT_LANGUAGE_OPTION, LITERAL_DOCUMENT_OPTION, UPDATE_OBJECT_OPTION, VALIDATE_DOCUMENT_OPTION`

Constructor Summary
`ClassSelectionParser(LibrarySession session)` Deprecated. Constructs a ClassSelectionParser

Method Summary
`protected Document` | `createDocument(Folder parent, DocumentDefinition def, java.lang.String name, java.lang.String classname, ParserCallback callback)` Deprecated. Encapsulates document creation given a parent folder, a name, Document subclass classname, and an stream/reader; will not update a prior existing object in parent, will throw an IfsException simply because an object already exists in parent with name
`protected java.lang.String` | `getClassname(java.lang.String filename)` Deprecated. Deternmines the classname of the Document based on the filename extension.
`protected DocumentDefinition` | `getDocDef(Folder parent, java.io.InputStream in, java.lang.String name)` Deprecated. Defines what it means to be a plain non versioned doc
`protected DocumentDefinition` | `getDocDef(Folder parent, java.io.Reader reader, java.lang.String name)` Deprecated. Defines what it means to be a plain non versioned doc
`LibraryObject` | `parse(java.io.InputStream stream, ParserCallback callback, java.util.Hashtable options)` Deprecated. Use the stream as the content of a Document subclass based on the Parser.CURRENT_NAME_OPTION.
`LibraryObject` | `parse(java.io.Reader reader, ParserCallback callback, java.util.Hashtable options)` Deprecated. Use the reader as the content of a Document subclass based on the Parser.CURRENT_NAME_OPTION.
`protected PublicObject` | `putPublicObjectWithVersioning(Folder parent, DocumentDefinition def, java.lang.String name, java.lang.String classname, ParserCallback callback)` Deprecated. Encapsulates the ftpish notion of a put given a parent folder, a name, and an stream/reader; will create or update existing PO depending prior existence of an object in parent, if creating an object of class classname is created.
`protected Document` | `updateFolderedPublicObjectWithVersioning(Folder parent, DocumentDefinition def, java.lang.String name, java.lang.String classname, ParserCallback callback)` Deprecated. encapsulates the item update given a parent folder, a name, and an stream/reader; will update a prior existing object in parent, will throw an IfsException simply because an object doesn't exist in parent

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BUNDLE_NAME

    public static final java.lang.String PROPERTY_BUNDLE_NAME

  Deprecated.
  See Also:
    Constant Field Values

### m_session

    protected LibrarySession m_session

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  the session

### m_fpr

    protected FolderPathResolver m_fpr

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  for path verification

  (Unpublished)

Constructor Detail

### ClassSelectionParser

    public ClassSelectionParser(LibrarySession session)
                         throws IfsException

  Deprecated.
  Constructs a ClassSelectionParser

  Throws:
    `IfsException`

Method Detail

### getClassname

    protected java.lang.String getClassname(java.lang.String filename)

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  Deternmines the classname of the Document based on the filename extension.

### parse

    public LibraryObject parse(java.io.InputStream stream,
                               ParserCallback callback,
                               java.util.Hashtable options)
                        throws IfsException

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  Use the stream as the content of a Document subclass based on the Parser.CURRENT_NAME_OPTION. Both the PARSER.CURRENT_NAME_OPTION and the Parser.CURRENT_PATH_OPTION must be set in the options Hashtable.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `stream` - the content
    `callback` - the callback
    `options` - the options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12601) if the operation fails

### parse

    public LibraryObject parse(java.io.Reader reader,
                               ParserCallback callback,
                               java.util.Hashtable options)
                        throws IfsException

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  Use the reader as the content of a Document subclass based on the Parser.CURRENT_NAME_OPTION. Both the PARSER.CURRENT_NAME_OPTION and the Parser.CURRENT_PATH_OPTION must be set in the options Hashtable.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `reader` - the content
    `callback` - the callback
    `options` - the options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12602) if the operation fails

### putPublicObjectWithVersioning

    protected PublicObject putPublicObjectWithVersioning(Folder parent,
                                                         DocumentDefinition def,
                                                         java.lang.String name,
                                                         java.lang.String classname,
                                                         ParserCallback callback)
                                                  throws java.io.IOException,
                                                         IfsException

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  Encapsulates the ftpish notion of a put given a parent folder, a name, and an stream/reader; will create or update existing PO depending prior existence of an object in parent, if creating an object of class classname is created. will not throw an IfsException simply because an object does or doesn't exist at the path, but will throw if folders in path do not exist; may throw if world changes in terms of items in the folder during call

  Parameters:
    `parent` - the folder where the item goes
    `def` - the DocumentDefinition
    `name` - the name of the item
    `classname` - the classname of the new object, must be Document.CLASS_NAME or a subclass of Document
    `callback` - the callback
  Returns:
    PublicObject the object foldered at parent.name
  Throws:
    `java.io.IOException`
    `IfsException`

### updateFolderedPublicObjectWithVersioning

    protected Document updateFolderedPublicObjectWithVersioning(Folder parent,
                                                                DocumentDefinition def,
                                                                java.lang.String name,
                                                                java.lang.String classname,
                                                                ParserCallback callback)
                                                         throws IfsException,
                                                                java.io.IOException

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  encapsulates the item update given a parent folder, a name, and an stream/reader; will update a prior existing object in parent, will throw an IfsException simply because an object doesn't exist in parent

  Parameters:
    `parent` - the folder where the item goes
    `def` - the DocumentDefinition
    `name` - the name of the item
    `callback` - the callback
  Returns:
    returns the PO referenced by the path
  Throws:
    `IfsException`
    `java.io.IOException`

### createDocument

    protected Document createDocument(Folder parent,
                                      DocumentDefinition def,
                                      java.lang.String name,
                                      java.lang.String classname,
                                      ParserCallback callback)
                               throws IfsException,
                                      java.io.IOException

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  Encapsulates document creation given a parent folder, a name, Document subclass classname, and an stream/reader; will not update a prior existing object in parent, will throw an IfsException simply because an object already exists in parent with name

  Parameters:
    `parent` - the folder where the item goes
    `def` - the DocumentDefinition
    `name` - the name of the document
    `classname` - the Document subclass classname
    `callback` - the callback
  Throws:
    `IfsException`
    `java.io.IOException`

### getDocDef

    protected DocumentDefinition getDocDef(Folder parent,
                                           java.io.InputStream in,
                                           java.lang.String name)
                                    throws IfsException

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  Defines what it means to be a plain non versioned doc

  Throws:
    `IfsException`

### getDocDef

    protected DocumentDefinition getDocDef(Folder parent,
                                           java.io.Reader reader,
                                           java.lang.String name)
                                    throws IfsException

  Deprecated.
  Description copied from class: `ClassSelectionParser`
  Defines what it means to be a plain non versioned doc

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD